AA-SHUTDOWN(1)

NAME
aa-shutdown - Helper to trigger a reboot/power off/halt of the machine

SYNOPSIS
aa-shutdown [-r | -p | -H]

OPTIONS

-H, --halt
    Halts the machine.

-h, --help
    Show help screen and exit.

-p, --poweroff
    Powers off the machine.

-r, --reboot
    Reboots the machine.

-V, --version
    Show version information and exit.

DESCRIPTION
aa-shutdown(1) is a simple helper that will send the appropriate commands to s6-svscan (using s6-svscanctl).

It obviously expects it to be running (as PID 1) using /run/services/.scandir as its scandir.

Additionally, if called as halt, reboot or poweroff then it automatically defaults to the corresponding action. This allows to use symlinks by those names pointing to aa-shutdown(1). Note that in this case:

- An option isn't required; i.e. calling it as `reboot` will trigger the
  reboot, as would `aa-shutdown --reboot` have done;

- If an option is specified, it takes precedence. So calling it `reboot -p` will
  power off the machine.

BUGS
They're probably crawling somewhere in there... if you happen to catch one, (or more) report it and I'll do my best to squash it.

REPOSITORY
You can find the latest source code of anopa as well as report bugs and/or suggest features on its GitHub repository, available at <https://github.com/jjk-jacky/anopa>; or visit its official website at <https://jjacky.com/anopa>

AUTHOR

Olivier Brunel <jjk@jjacky.com>